Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 16 Apr 2014, 04:12
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
PPracer/Tuxracer [SOLVED]
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [11 Posts]  
Author Message
steve_s


Joined: 26 May 2008
Posts: 1545
Location: Austin, TX, USA

PostPosted: Mon 06 Aug 2012, 14:47    Post subject:  PPracer/Tuxracer [SOLVED]
Subject description: with an ATI Radeon x1650 PCI express card
 

I just wanna get this to run on this card.

What Puppy am I using? Whichever one will work with this card and run this game.

My youngest is saying, "Remember tux racer?""When can we get that one again?""Is that running yet dad?""Did you get that on my computer yet dad?" and so on.

What puplet do you advise? i got a few frugal installs on this one, so yet another one ain't gonna matter as long as I can get this game running! Wink

or I can put in a new one and compile or whatever, just tell me what you recommend, anyone!

Last edited by steve_s on Sat 11 Aug 2012, 22:51; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
Billtoo


Joined: 07 Apr 2009
Posts: 1923
Location: Ontario Canada

PostPosted: Mon 06 Aug 2012, 15:39    Post subject: Re: PPracer/Tuxracer
Subject description: with an ATI Radeon x1650 PCI express card
 

steve_s wrote:
I just wanna get this to run on this card.

What Puppy am I using? Whichever one will work with this card and run this game.

My youngest is saying, "Remember tux racer?""When can we get that one again?""Is that running yet dad?""Did you get that on my computer yet dad?" and so on.

What puplet do you advise? i got a few frugal installs on this one, so yet another one ain't gonna matter as long as I can get this game running! Wink

or I can put in a new one and compile or whatever, just tell me what you recommend, anyone!


I found this version of tuxracer in precise puppy beta 2 5260, it works fine with my nvidia card, don't know about your ati card though.
There are plenty of other games in the precise repos though if this won't work for you.
You need to add all the precise repos in ppm and update them, then exit and restart ppm.
preciseppm.jpg
 Description   
 Filesize   51.23 KB
 Viewed   650 Time(s)

preciseppm.jpg

Back to top
View user's profile Send private message 
steve_s


Joined: 26 May 2008
Posts: 1545
Location: Austin, TX, USA

PostPosted: Mon 06 Aug 2012, 15:47    Post subject: Re: PPracer/Tuxracer
Subject description: with an ATI Radeon x1650 PCI express card
 

Billtoo wrote:
...it works fine with my nvidia card, don't know about your ati card though.


thank you, Billtoo! I greatly appreciate the response.

But, in this case, its all about that card. ATI bites for Opengl support overall, it seems. And, in this case, its just that game my kid is looking for; he's got wesnoth and others he likes covered and the whole Xbox thing, etc.

But it's just that game. Confused

It doesn't seem hard to get that game for whatever version of puppy I'm lookin for, certainly not as hard as gettin' that card going.

I was just leaving the door open to posters so that they might suggest any version of puplet they like for that card and/or game or any other possible combinations of the two that I hadn't thought of/knew about.
Back to top
View user's profile Send private message Visit poster's website 
Billtoo


Joined: 07 Apr 2009
Posts: 1923
Location: Ontario Canada

PostPosted: Mon 06 Aug 2012, 17:52    Post subject: Re: PPracer/Tuxracer
Subject description: with an ATI Radeon x1650 PCI express card
 

steve_s wrote:




But, in this case, its all about that card. ATI bites for Opengl support overall, it seems. And, in this case, its just that game my kid is looking for; he's got wesnoth and others he likes covered and the whole Xbox thing, etc.

But it's just that game. Confused

It doesn't seem hard to get that game for whatever version of puppy I'm lookin for, certainly not as hard as gettin' that card going.

I was just leaving the door open to posters so that they might suggest any version of puplet they like for that card and/or game or any other possible combinations of the two that I hadn't thought of/knew about.


I have an ATI radeon x1600 PCI express card (in a box on the shelf), it used to work well with lupu when xorghigh was installed, most likely will work well with 3 headed dog but I don't think I ever ran it with that.
Back to top
View user's profile Send private message 
steve_s


Joined: 26 May 2008
Posts: 1545
Location: Austin, TX, USA

PostPosted: Tue 07 Aug 2012, 10:23    Post subject: Re: PPracer/Tuxracer
Subject description: with an ATI Radeon x1650 PCI express card
 

Billtoo wrote:
steve_s wrote:




But, in this case, its all about that card. ATI bites for Opengl support overall, it seems. And, in this case, its just that game my kid is looking for; he's got wesnoth and others he likes covered and the whole Xbox thing, etc.

But it's just that game. Confused

It doesn't seem hard to get that game for whatever version of puppy I'm lookin for, certainly not as hard as gettin' that card going.

I was just leaving the door open to posters so that they might suggest any version of puplet they like for that card and/or game or any other possible combinations of the two that I hadn't thought of/knew about.


I have an ATI radeon x1600 PCI express card (in a box on the shelf), it used to work well with lupu when xorghigh was installed, most likely will work well with 3 headed dog but I don't think I ever ran it with that.


Good! That's what I'm looking for...ok, got a 4.0 I'm gonna try to get it to go today. After that fails Wink I'm going to give it a try on lupu 520. Will post back.
Back to top
View user's profile Send private message Visit poster's website 
steve_s


Joined: 26 May 2008
Posts: 1545
Location: Austin, TX, USA

PostPosted: Wed 08 Aug 2012, 09:02    Post subject:  

It looks like we've made some progress.

I put a Lupu520 frugal on there with devx. I installed the ATI driver for the x1650 card, and i think its installed (how do I check?).

The reason I think it installed is that I re-ran xorgwizard, selected 'Choose' ('Probe' borks the X settup as it must be picking something wrong) and scroll to ATI Radeon, select 1280x1024x24 and it sets up great (x16 borks).

Again, how can i check to see if that's running?

I then tried to run 'exremetuxracer' but it said in terminal:
Code:

can't execute binary

which is a message I've never seen before.

So, at the very least, I'm looking for another version of Tuxracer.

On the plus side, this version of Puppy had a newer version of Wesnoth available and the youngest is lovin' that. Wink
Back to top
View user's profile Send private message Visit poster's website 
steve_s


Joined: 26 May 2008
Posts: 1545
Location: Austin, TX, USA

PostPosted: Wed 08 Aug 2012, 09:21    Post subject:  

Quote:

You need to add all the precise repos in ppm and update them, then exit and restart ppm.


Just FYI, running without internet on that PC, so i've gotta download what I need on another internet device, then transfer it...yeah, would be much easier running it via the package manager.
Back to top
View user's profile Send private message Visit poster's website 
steve_s


Joined: 26 May 2008
Posts: 1545
Location: Austin, TX, USA

PostPosted: Thu 09 Aug 2012, 09:19    Post subject:  

Still no luck.

Anyone have a version of Tuxracer/ppracer that has worked with this?

I tried a couple of versions, no dice.

I even tried compiling from scratch but it gave an error code after I tried to run it. It looked like the version of tcl that I have may not be set up right or I didn't use the correct settings or something. Gonna look for a different one in the forums today...
Back to top
View user's profile Send private message Visit poster's website 
darkcity


Joined: 23 May 2010
Posts: 2408
Location: near here

PostPosted: Thu 09 Aug 2012, 10:12    Post subject:  

which version numbers have you tried + what errors when compiling/running?
_________________
helping Wiki for help | IF SendSpace link = "dead" THEN PM me ("up file to http://meownplanet.net/")
Back to top
View user's profile Send private message Visit poster's website 
steve_s


Joined: 26 May 2008
Posts: 1545
Location: Austin, TX, USA

PostPosted: Thu 09 Aug 2012, 12:32    Post subject:  

darkcity wrote:
which version numbers have you tried + what errors when compiling/running?


exremetuxracer-0.4.pet
Ppracer-0.5cvs.pet
ppracer-0.3.1.pet

I'll install a different tcl/tk tonight and try and compile again and post back the results.
Back to top
View user's profile Send private message Visit poster's website 
steve_s


Joined: 26 May 2008
Posts: 1545
Location: Austin, TX, USA

PostPosted: Sat 11 Aug 2012, 22:50    Post subject:  

I went a different route and put Lighthouse puppy on there, 5.03.
Also put the sfs's mariner and voyager from the same on there.
Worked like a charm, found the ati driver (didn't run auto config in xorgwizard but instead selected ati then radeon from a list) and set it up easily, already had tux racer and variety of other games.
Call this one solved.
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 1 [11 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0639s ][ Queries: 13 (0.0046s) ][ GZIP on ]